#ifndef UTILITIES_H
#define UTILITIES_H
#include <Arduino.h>

char *addChar(char *pointer, const char character);
char *dateTimeFormater(char *pointer, const uint8_t value, const char character);
uint32_t monthNumTo3LetterAbbreviation(const uint8_t monthNumber);
void *mallocWithFallback(size_t requestedSize, size_t *acceptedSize = nullptr);
#endif // UTILITIES_H
